package com.cf.imes.framework.organ.core.service;

import java.util.List;

/**
 * Organ 框架 Service 接口，定义获取组织信息
 *
 * @author 晨丰科技
 */
public interface OrganFrameworkService {

    /**
     * 获得所有组织
     *
     * @return 组织编号数组
     */
    List<Long> getOrganIds();

    /**
     * 校验组织是否合法
     *
     * @param id 组织编号
     */
    void validOrgan(Long id);

}
